import { AbstractAccessCondition, ConditionPrototype } from "../security/AbstractAccessCondition";
import { HttpRequest } from "../controller/http/HttpRequest";
import { AbstractDatabaseAdapter } from "../database/AbstractDatabaseAdapter";
export declare class OwnedResource extends AbstractAccessCondition<boolean> {
    constructor(requestedValueResolver: (request: HttpRequest, databaseAdapter: AbstractDatabaseAdapter) => Promise<boolean>);
    getConditionPrototype(): ConditionPrototype;
    validate(requestedValue: boolean, permittedValue: boolean): Promise<boolean>;
}
//# sourceMappingURL=OwnedResource.d.ts.map